<?php
/*! @file

    @id $Id$
*/
//       1         2         3         4         5         6         7         8
// 45678901234567890123456789012345678901234567890123456789012345678901234567890

/// Get a user's public key
/** Get the public key of a user.

    @param $user Name of the user to ge public key from.

    @return json encoded value:
     - @c null in case of error (user does not exist)
     - @code
       {
         pubkey: 'armored public key string'
       }
       @endcode

    @api Get A User's Public Key
*/
function pubkey($user) {
  try {
    require_once("opendb.php");
    $user = $db->real_escape_string($user);
    $q = $db->query("select pubkey from user where name='$user';");
    /* if ($q->num_rows!=1 && $user=="safechat") { */
    /*   require_once("optionstable.php"); */
    /*   createSafechatUser(); */
    /*   $q = $db->query("select pubkey from user where name='$user';"); */
    /* } */
    if ($q->num_rows==1) {
      echo json_encode($q->fetch_row()[0]);
    } else {
      echo json_encode(null);
    }
  } catch (Exception $e) {
    echo json_encode(null);
  }
}
pubkey($_REQUEST['user']);
?>
